<?php
    $yhendus=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
	if(isset($_REQUEST["filmi_id"])){
		$kasklus=$yhendus->prepare("SELECT filmi_nimi, filmi_url FROM filmide_nimekiri WHERE id=?");
        $kasklus->bind_param("i", $_REQUEST["filmi_id"]);
        $kasklus->bind_result($filmi_nimi, $filmi_url);
		$kasklus->execute();
		if($kasklus->fetch()){
			echo "film olemas";
		} else {
			echo "Vigane id";
			exit();
		}
		$kasklus -> close();
	} else {
		echo "Film valimata";
		exit();
	}
?>

<!DOCTYPE html>
<html>
	<head>
    	 <title>Märksõnastamine</title>
	 <meta charset="UTF-8">
	 <link rel="stylesheet" href="styles.css">
	 <link href="https://fonts.googleapis.com/css?family=Inconsolata" rel="stylesheet">
	<script src="//code.jquery.com/jquery-2.1.4.min.js"></script>
	<script type="text/javascript" src="typeahead.js"></script>
	</head>
	<body class="taust" onload="peida()">
		<div class="side">
			<a href="http://www.efis.ee/"><img src="logo.gif" style="padding: 10px;"/></a>
			<div class="menucontainer">
				<a href="avaleht.html" class="menubtn">Avaleht</a>
				<a href="filmiloetelu.php" class="menubtn">Märksõnastamine</a>
				<a href="marksonadeloetelu.php" class="menubtn">Märksõnad</a>
				<a href="sonapilved.html" class="menubtn">Sõnapilved</a>
			</div>
		</div>
		
		<div class="main">
			<h1 style="text-align: center;">Filmi märksõnastamine</h1>
			<div class="containermain">

				<div class="peakylg">
				<b>Juhend filmide märksõnastamiseks</b></br></br>
					Lisa valitud filmile märksõnu, sisestades neid video all asuvasse kasti. Olemasolevad märksõnad kuvatakse, kui kirjutad kasti mõne tähe. Enda kirjutatud märksõnu võid näha vajutades allolevale nupule.
					Proovi lisada ühesõnalisi märksõnu. Kindlasti märgi üles ka tuntud isikud ning äratuntavad kohad.
					</br>
					<p>Sellel filmil on andmebaasis järgmised märksõnad: 
						<?php
							//$yhendus=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
							//$filmi_id=$_REQUEST["filmi_id"];
							$kasklus=$yhendus->prepare("SELECT DISTINCT(tabel4.value) AS marksona FROM efis_keyword_translation AS tabel1 
														JOIN efis_film_keyword AS tabel2 ON tabel1.keyword_id=tabel2.keyword_id 
														JOIN efis_film_keyword AS tabel3 ON tabel2.film_id=tabel3.film_id 
														JOIN efis_keyword_translation AS tabel4 ON tabel3.keyword_id=tabel4.keyword_id 
														WHERE tabel1.language='et' AND tabel4.language='et' AND tabel2.film_id=?;");
							$kasklus->bind_param("i", $_REQUEST["filmi_id"]);
							$kasklus->bind_result($marksona);
							$kasklus->execute();
							while($kasklus->fetch()){
								echo "<li>$marksona</li>";
							}
							
						?>
					</p>
					<p>Vaata, kas leiad neid ka videost.</p></br>
					<b>Tegusat märksõnastamist!</b>
					
				
					<div class="container2">
						<div><input type="button" class="button1" value="Sinu sisestatud märksõnad" onclick="vajutus2()" /></div>
					</div>
					<ul id="vastus">
					</ul>
				</div>
				<div class="divider"><img src="deco_border.png" style="width: 3em;" alt="divider vector by www.Vecteezy.com"/></div>
				<div class="peavideo">
					<?php echo "<h1 class='h1videod'>$filmi_nimi</h1>";?>
						<video id="video1" controls width="100%" height="auto">
							<source src="<?php echo $filmi_url ?>">
						</video><br />

					<div class="container">
						<div class="typeahead"><input type="text" id="kast1" onkeydown="klahvAlla(event)" class="inputbox"/></div>
						<div><input type="button" class="button1" value="Saada" onclick="vajutus()" /></div>
					</div><br /><br />
				</div>
			</div>			
		</div>
		

		
		<script>
				let xhr = new XMLHttpRequest();
				let filmiId = <?php echo $_REQUEST["filmi_id"];?>;
				let vid = document.getElementById("video1");
				function vajutus(){
					if(document.getElementById("kast1").value.trim().length==0){return;} //ei lisa tyhje ridasid
					document.getElementById("vastus").innerHTML+="<li>"+
						document.getElementById("video1").currentTime+" "+
						document.getElementById("kast1").value+"</li>";
						xhr.open("GET", "lisamine2.php?aeg_filmis=" + document.getElementById("video1").currentTime +
						"&marksona=" + document.getElementById("kast1").value+
						"&filmi_id="+filmiId);
					xhr.send();
					document.getElementById("kast1").value="";
					vid.play();
				}
				
				
				function klahvAlla(syndmus){
					pauseVid();
					if(syndmus.keyCode==13){
						vajutus();
						$('ul.typeahead.dropdown-menu').css('display', 'none');
						document.getElementById("kast1").value="";
					} playVid();
				}
				
				function playVid() {
					console.log("Function Play "+document.getElementById("kast1").value.length);
					if (document.getElementById("kast1").value.length==0) {
						console.log("Play Video.");
						vid.play();
					}
				}
						
				function pauseVid() {
					console.log("Function Pause");
					if (document.getElementById("kast1").length!=0) {
						console.log("Pause video.");
						vid.pause();
						} 
				}
				
		
				$(document).ready(function () {
					$('#kast1').typeahead({
							source: function (query, result) {
								$.ajax({
									url: "autocompletelist.php?query=" + query,           
									dataType: "json",
									type: "GET",
									success: function (data) {
										result($.map(data,function (item) {
												return item;
										}));
									}
								});
							}
					});
				});
				function peida(){
					
					document.getElementById("vastus").style.display="none";
				}
				function vajutus2() {
					var x = document.getElementById("vastus");
					console.log(x.style.display);
						if (x.style.display === "none") {
						x.style.display ="block";
						} else {
						x.style.display = "none";
						}
				}
		</script>
	</body>
</html>