<?php
if (isset($_REQUEST["marksona"])) {
    $marksona = $_REQUEST["marksona"];
}
?>
<!doctype html>
<html>
  <head>
    <title>Märksõnade loetelu</title>
	<meta charset="UTF-8">
	<link rel="stylesheet" href="styles.css">
	<link href="https://fonts.googleapis.com/css?family=Inconsolata" rel="stylesheet">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body class="taust">
		<div class="side">
				<a href="http://www.efis.ee/"><img src="logo.gif" style="padding: 10px;"/></a>
					<div class="menucontainer">
						<a href="avaleht.html" class="menubtn">Avaleht</a>
						<a href="filmiloetelu.php" class="menubtn">Märksõnastamine</a>
						<a href="marksonadeloetelu.php" class="menubtn">Märksõnad</a>
						<a href="sonapilved.html" class="menubtn">Sõnapilved</a>
					</div>
		</div>
	<div class="middle"><br /><br />
		<form action="marksonadeloetelu.php" method="get">
			<div><input type="text" id="kast1" name="marksona" class="inputbox" placeholder="Otsi märksõna!" /><input type="submit" class="button1" value="Otsi!"/></div>
		</form>
	</div>
<div class="main">
	<?php
	   $yhendus=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
	   $kasklus=$yhendus->prepare("SELECT marksona, COUNT(*) AS kogus FROM filmide_ajad WHERE marksona IS NOT NULL AND marksona=? GROUP BY marksona ORDER BY kogus DESC;");
	   $kasklus->bind_param("s", $_REQUEST["marksona"]);
	   $kasklus->bind_result($marksona, $kogus);
	   $kasklus->execute();
	   while($kasklus->fetch()){
		   echo "<details><summary><b>$marksona</b> ($kogus)</summary>";
		   echo "<ul>";
			$yhendus2=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
			$kasklus2=$yhendus2->prepare("SELECT filmi_id, filmi_nimi, aeg_filmis FROM filmide_nimekiri JOIN filmide_ajad ON filmide_ajad.filmi_id=filmide_nimekiri.id WHERE marksona=?;");
			$kasklus2->bind_param("s", $marksona);
			$kasklus2->bind_result($filmi_id, $filmi_nimi, $aeg_filmis);
			$kasklus2->execute();
				while($kasklus2->fetch()){
					$uus_aeg_filmis=$aeg_filmis;
					if($aeg_filmis>1){
						$uus_aeg_filmis-=1;
					}
					echo "<li><a href=
						'filmikoha_vaatamine.php?filmi_id=$filmi_id&sekund=$uus_aeg_filmis'>$filmi_nimi ($aeg_filmis)</a></li>";
				}
		   echo "</ul>";
		   echo "</details>";
	   }
	?>
	<div class="containermain">
	
	<div class="vasakpool">
    <h1>Lisatud märksõnad</h1>
	<p><b>Loetelu märksõnadest, mis on filme vaadates kirjutatud.</b></p>
	
	<?php
	   $yhendus=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
	   $kasklus=$yhendus->prepare("SELECT marksona, COUNT(*) AS kogus FROM filmide_ajad WHERE marksona IS NOT NULL GROUP BY marksona ORDER BY kogus DESC;");
	   $kasklus->bind_result($marksona, $kogus);
	   $kasklus->execute();
	   while($kasklus->fetch()){
		   echo "<details><summary>$marksona ($kogus)</summary>";
		   echo "<ul>";
			$yhendus2=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
			$kasklus2=$yhendus2->prepare("SELECT filmi_id, filmi_nimi, aeg_filmis FROM filmide_nimekiri JOIN filmide_ajad ON filmide_ajad.filmi_id=filmide_nimekiri.id WHERE marksona=?;");
			$kasklus2->bind_param("s", $marksona);
			$kasklus2->bind_result($filmi_id, $filmi_nimi, $aeg_filmis);
			$kasklus2->execute();
				while($kasklus2->fetch()){
					$uus_aeg_filmis=$aeg_filmis;
					if($aeg_filmis>1){
						$uus_aeg_filmis-=1;
					}
					echo "<li><a href=
						'filmikoha_vaatamine.php?filmi_id=$filmi_id&sekund=$uus_aeg_filmis'>$filmi_nimi ($aeg_filmis)</a></li>";
				}
		   echo "</ul>";
		   echo "</details>";
	   }
	?>
	
	</div>
	<div class="parempool">
    <h1>Andmebaasi märksõnad</h1>
	<p><b>Loetelu märksõnadest, mis on andmebaasis olemas.</b></p>
	<div class="container3">
		<div><input type="button" class="button1" value="Kuva kõik märksõnad" onclick="vajutus2()" /></div>
	</div>
	<ul id="vastus" style="display: none;">
	<?php
	   $yhendus=new mysqli("localhost", "dh17", "dh17praktika", "dh17_laulupidu");
	   $kasklus=$yhendus->prepare("SELECT tabel4.value AS marksona FROM efis_keyword_translation AS tabel1 
									JOIN efis_film_keyword AS tabel2 ON tabel1.keyword_id=tabel2.keyword_id
									JOIN efis_film_keyword AS tabel3 ON tabel2.film_id=tabel3.film_id
									JOIN efis_keyword_translation AS tabel4 ON
									tabel3.keyword_id=tabel4.keyword_id
									WHERE tabel1.language='et' AND tabel1.value='Üldlaulupeod' AND tabel4.language='et';");
	   $kasklus->bind_result($marksona);
	   $kasklus->execute();
	   while($kasklus->fetch()){
		   echo "<li>$marksona</li>";
	   }
	?>	
	</ul>
	</div>
	</div>
</div>
<script>
				function vajutus2() {
					var x = document.getElementById("vastus");
					console.log(x.style.display);
						if (x.style.display === "none") {
						x.style.display ="block";
						} else {
						x.style.display = "none";
						}
				}
</script>
 </body>
</html>